[FFmpeg-cvslog] fate: Add basic license header check

Michael Niedermayer git at videolan.org
Tue Sep 29 19:05:36 CEST 2015


ffmpeg | branch: master | Michael Niedermayer <michael at niedermayer.cc> | Sun Sep 27 14:06:54 2015 +0200| [ed18c49f5ff8a124a805142fb9a1803890563822] | committer: Michael Niedermayer

fate: Add basic license header check

Signed-off-by: Michael Niedermayer <michael at niedermayer.cc>

> http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=ed18c49f5ff8a124a805142fb9a1803890563822
---

 tests/Makefile             |    1 +
 tests/fate-run.sh          |    5 +++++
 tests/fate/source-check.sh |   20 ++++++++++++++++++++
 tests/fate/source.mak      |    3 +++
 tests/ref/fate/source      |   18 ++++++++++++++++++
 5 files changed, 47 insertions(+)

diff --git a/tests/Makefile b/tests/Makefile
index 4791ade..c4a16c3 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -150,6 +150,7 @@ include $(SRC_PATH)/tests/fate/qt.mak
 include $(SRC_PATH)/tests/fate/qtrle.mak
 include $(SRC_PATH)/tests/fate/real.mak
 include $(SRC_PATH)/tests/fate/screen.mak
+include $(SRC_PATH)/tests/fate/source.mak
 include $(SRC_PATH)/tests/fate/subtitles.mak
 include $(SRC_PATH)/tests/fate/utvideo.mak
 include $(SRC_PATH)/tests/fate/video.mak
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 4aeb2e6..76f66d3 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -87,6 +87,11 @@ probefmt(){
     run ffprobe -show_entries format=format_name -print_format default=nw=1:nk=1 -v 0 "$@"
 }
 
+runlocal(){
+    test "${V:-0}" -gt 0 && echo ${base}/"$@" ${base} >&3
+    ${base}/"$@" ${base}
+}
+
 probeframes(){
     run ffprobe -show_frames -v 0 "$@"
 }
diff --git a/tests/fate/source-check.sh b/tests/fate/source-check.sh
new file mode 100755
index 0000000..fb7af98
--- /dev/null
+++ b/tests/fate/source-check.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+cd "$1"/..
+
+git --version > /dev/null || { cat tests/ref/fate/source ; exit 0; }
+
+echo Files without standard license headers:
+git grep -L -E "This file is part of FFmpeg|This file is part of libswresample|"\
+"Permission to use, copy, modify, and/or distribute this software for any|"\
+"Permission is hereby granted, free of charge, to any person|"\
+"Permission is hereby granted to use, copy, modify, and distribute this|"\
+"Permission is granted to anyone to use this software for any purpose|"\
+"This work is licensed under the terms of the GNU GPL|"\
+"Redistribution and use in source and binary forms, with or without modification|"\
+"This library is free software; you can redistribute it and/or|"\
+"This program is free software; you can redistribute it and/or modify|"\
+"This file is placed in the public domain" | grep -E '\.c$|\.h$|\.S$|\.asm$'
+
+
+exit 0
diff --git a/tests/fate/source.mak b/tests/fate/source.mak
new file mode 100644
index 0000000..465ef85
--- /dev/null
+++ b/tests/fate/source.mak
@@ -0,0 +1,3 @@
+
+FATE += fate-source
+fate-source: CMD = runlocal fate/source-check.sh
diff --git a/tests/ref/fate/source b/tests/ref/fate/source
new file mode 100644
index 0000000..9cd8b30
--- /dev/null
+++ b/tests/ref/fate/source
@@ -0,0 +1,18 @@
+Files without standard license headers:
+cmdutils_common_opts.h
+compat/avisynth/windowsPorts/basicDataTypeConversions.h
+compat/avisynth/windowsPorts/windows2linux.h
+libavcodec/file_open.c
+libavcodec/log2_tab.c
+libavcodec/mathops.c
+libavcodec/reverse.c
+libavdevice/file_open.c
+libavfilter/log2_tab.c
+libavformat/file_open.c
+libavformat/golomb_tab.c
+libavformat/log2_tab.c
+libavutil/x86_cpu.h
+libswresample/log2_tab.c
+libswscale/log2_tab.c
+tools/uncoded_frame.c
+tools/yuvcmp.c



More information about the ffmpeg-cvslog mailing list